be.fgov.ehealth.dics.protocol.v5

## Class ConsultReimbursementTermType

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v5.ConsultReimbursementTermType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-04-30T12:19:13+02:00",
                 comments="JAXB RI v2.3.7")
      public class ConsultReimbursementTermType
      extends Object
      implements Serializable

  Java class for ConsultReimbursementTermType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ConsultReimbursementTermType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="ValueUnit" type="{urn:be:fgov:ehealth:dics:protocol:v5}ParameterValueType"/>
               <element name="ParameterName" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="AdditionalFields" type="{urn:be:fgov:ehealth:dics:protocol:v5}AdditionalFieldsType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v5}validityPeriod"/>
             <attribute name="SequenceNr" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultReimbursementTermType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AdditionalFieldsType>` | `getAdditionalFields()` Gets the value of the additionalFields property.
    `org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
    `String` | `getParameterName()` Gets the value of the parameterName property.
    `int` | `getSequenceNr()` Gets the value of the sequenceNr property.
    `org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
    `ParameterValueType` | `getValueUnit()` Gets the value of the valueUnit property.
    `void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
    `void` | `setParameterName(String value)` Sets the value of the parameterName property.
    `void` | `setSequenceNr(int value)` Sets the value of the sequenceNr property.
    `void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.
    `void` | `setValueUnit(ParameterValueType value)` Sets the value of the valueUnit property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultReimbursementTermType

          public ConsultReimbursementTermType()

  - ### Method Detail

    - #### getValueUnit

          public ParameterValueType getValueUnit()

      Gets the value of the valueUnit property.
      Returns:
        possible object is `ParameterValueType`

    - #### setValueUnit

          public void setValueUnit(ParameterValueType value)

      Sets the value of the valueUnit property.
      Parameters:
        `value` - allowed object is `ParameterValueType`

    - #### getParameterName

          public String getParameterName()

      Gets the value of the parameterName property.
      Returns:
        possible object is `String`

    - #### setParameterName

          public void setParameterName(String value)

      Sets the value of the parameterName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAdditionalFields

          public List<AdditionalFieldsType> getAdditionalFields()

      Gets the value of the additionalFields property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the additionalFields property.

      For example, to add a new item, do as follows:

              getAdditionalFields().add(newItem);

      Objects of the following type(s) are allowed in the list `AdditionalFieldsType`

    - #### getSequenceNr

          public int getSequenceNr()

      Gets the value of the sequenceNr property.

    - #### setSequenceNr

          public void setSequenceNr(int value)

      Sets the value of the sequenceNr property.

    - #### getStartDate

          public org.joda.time.DateTime getStartDate()

      Gets the value of the startDate property.
      Returns:
        possible object is `String`

    - #### setStartDate

          public void setStartDate(org.joda.time.DateTime value)

      Sets the value of the startDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEndDate

          public org.joda.time.DateTime getEndDate()

      Gets the value of the endDate property.
      Returns:
        possible object is `String`

    - #### setEndDate

          public void setEndDate(org.joda.time.DateTime value)

      Sets the value of the endDate property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging generic 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.